name: Mark stale issues and pull requests

on:
  schedule:
  - cron: "0 0 * * 0"

jobs:
  stale:

    runs-on: ubuntu-latest

    steps:
    - uses: actions/stale@v3
      with:
        repo-token: ${{ secrets.GITHUB_TOKEN }}
        stale-issue-message: 'Marked as stale issue. Will be closed later if no activity for a while. '
        stale-pr-message: 'Marked as stale PR. Will be closed later if no activity for a while.'
        stale-issue-label: 'no-issue-activity'
        stale-pr-label: 'no-pr-activity'
        # The labels to apply when an issue is exempt from being marked stale. Separate multiple labels with commas (eg. "label1,label2")
        exempt-issue-labels: 'official'
        operations-per-run: 500
        # The labels to apply when a pull request is exempt from being marked stale. Separate multiple labels with commas (eg. "label1,label2")
        exempt-pr-labels: 'official'
        
        # The number of days old an issue can be before marking it stale. Set to -1 to never mark issues or pull requests as stale automatically.
        days-before-stale: 90
        # The number of days to wait to close an issue or pull request after it being marked stale. Set to -1 to never close stale issues.
        days-before-close: 45
